The Financial Report Template object

Attributes

id string

Unique identifier for the object.

created_at string

ISO 8601 timestamp of when the object was created.

updated_at string

ISO 8601 timestamp of when the object was last updated.

template_name string required
report_type string required
module string
disabled boolean

Default: false

The Financial Report Template object
{
  "id": "financial-report-template_abc123",
  "created_at": "2024-01-15T09: 30: 00Z",
  "updated_at": "2024-01-15T09: 30: 00Z",
  "template_name": "template_name_example",
  "report_type": "report_type_example",
  "module": "module_example",
  "disabled": false
}
GET /api/accounts/financial-report-template/{id}

Retrieve a financial report template

Retrieves the details of an existing financial report template. Supply the unique financial report template ID that was returned from a previous request.

Path parameters

id string required

The identifier of the financial report template to retrieve.

Returns

Returns the financial report template object if a valid identifier was provided.

GET /api/accounts/financial-report-template/{id}
curl https://api.overplane.dev/api/accounts/financial-report-template/financial-report-template_abc123 \
  -H "Authorization: Bearer sk_test_..."
Response
{
  "id": "financial-report-template_abc123",
  "created_at": "2024-01-15T09: 30: 00Z",
  "updated_at": "2024-01-15T09: 30: 00Z",
  "template_name": "template_name_example",
  "report_type": "report_type_example",
  "module": "module_example",
  "disabled": false
}
GET /api/accounts/financial-report-template

List all financial report templates

Returns a list of financial report templates. The results are sorted by creation date, with the most recently created appearing first.

Query parameters

limit integer

Maximum number of objects to return. Default: 20.

offset integer

Number of objects to skip for pagination. Default: 0.

Returns

A paginated list of financial report template objects.

GET /api/accounts/financial-report-template
curl https://api.overplane.dev/api/accounts/financial-report-template \
  -H "Authorization: Bearer sk_test_..."
Response
{
  "data": [
    {
      "id": "financial-report-template_abc123",
      "created_at": "2024-01-15T09: 30: 00Z",
      "updated_at": "2024-01-15T09: 30: 00Z",
      "template_name": "template_name_example",
      "report_type": "report_type_example",
      "module": "module_example",
      "disabled": false
    }
  ],
  "has_more": false,
  "total": 1
}
POST /api/accounts/financial-report-template

Create a financial report template

Creates a new financial report template object.

Body parameters

template_name string required
report_type string required
module string
disabled boolean

Default: false

Returns

Returns the newly created financial report template object if the call succeeded.

POST /api/accounts/financial-report-template
curl https://api.overplane.dev/api/accounts/financial-report-template \
  -H "Authorization: Bearer sk_test_..." \
  -X POST \
  -H "Content-Type: application/json" \
  -d '{"template_name":"template_name_example","report_type":"report_type_example"}'
Response
{
  "id": "financial-report-template_abc123",
  "created_at": "2024-01-15T09: 30: 00Z",
  "updated_at": "2024-01-15T09: 30: 00Z",
  "template_name": "template_name_example",
  "report_type": "report_type_example",
  "module": "module_example",
  "disabled": false
}
PATCH /api/accounts/financial-report-template/{id}

Update a financial report template

Updates the specified financial report template by setting the values of the parameters passed. Any parameters not provided will be left unchanged.

Path parameters

id string required

The identifier of the financial report template to update.

Body parameters

template_name string
report_type string
module string
disabled boolean

Default: false

Returns

Returns the updated financial report template object.

PATCH /api/accounts/financial-report-template/{id}
curl https://api.overplane.dev/api/accounts/financial-report-template/financial-report-template_abc123 \
  -H "Authorization: Bearer sk_test_..." \
  -X PATCH \
  -H "Content-Type: application/json" \
  -d '{"template_name":"template_name_example","report_type":"report_type_example"}'
Response
{
  "id": "financial-report-template_abc123",
  "created_at": "2024-01-15T09: 30: 00Z",
  "updated_at": "2024-01-15T09: 30: 00Z",
  "template_name": "template_name_example",
  "report_type": "report_type_example",
  "module": "module_example",
  "disabled": false
}
DELETE /api/accounts/financial-report-template/{id}

Delete a financial report template

Permanently deletes a financial report template. This cannot be undone.

Path parameters

id string required

The identifier of the financial report template to delete.

Returns

Returns a confirmation that the financial report template has been deleted.

DELETE /api/accounts/financial-report-template/{id}
curl https://api.overplane.dev/api/accounts/financial-report-template/financial-report-template_abc123 \
  -H "Authorization: Bearer sk_test_..." \
  -X DELETE
Response
{
  "id": "financial-report-template_abc123",
  "deleted": true
}

Line items

Child objects that belong to this financial report template. These are accessed via the parent's ID.

Financial Report Row

Attributes

idx integer
financial_report_template_id string required
reference_code string
display_name string
indentation_level integer
data_source string
balance_type string
bold_text boolean
italic_text boolean
hidden_calculation boolean
hide_when_empty boolean
reverse_sign boolean
calculation_formula string
include_in_charts boolean
color string
fieldtype string
advanced_filtering boolean

Endpoints

GET /api/accounts/financial-report-row?parent_id={id}
POST /api/accounts/financial-report-row
PATCH /api/accounts/financial-report-row/{id}
DELETE /api/accounts/financial-report-row/{id}
POST /api/accounts/financial-report-row/reorder
Financial Report Row object
{
  "id": "financial-report-row_abc123",
  "idx": 1,
  "financial_report_template_id": "financial_report_template_id_example",
  "reference_code": "reference_code_example",
  "display_name": "display_name_example",
  "indentation_level": 0,
  "data_source": "data_source_example",
  "balance_type": "balance_type_example",
  "bold_text": false,
  "italic_text": false,
  "hidden_calculation": false,
  "hide_when_empty": false,
  "reverse_sign": false,
  "calculation_formula": "calculation_formula_example",
  "include_in_charts": false,
  "color": "color_example",
  "fieldtype": "fieldtype_example",
  "advanced_filtering": false
}